host info updates
[distro-setup] / disabled / mastodon-upgrade
1 #!/bin/bash
2 # I, Ian Kelling, follow the GNU license recommendations at
3 # https://www.gnu.org/licenses/license-recommendations.en.html. They
4 # recommend that small programs, < 300 lines, be licensed under the
5 # Apache License 2.0. This file contains or is part of one or more small
6 # programs. If a small program grows beyond 300 lines, I plan to switch
7 # its license to GPL.
8
9 # Copyright 2024 Ian Kelling
10
11 # Licensed under the Apache License, Version 2.0 (the "License");
12 # you may not use this file except in compliance with the License.
13 # You may obtain a copy of the License at
14
15 # http://www.apache.org/licenses/LICENSE-2.0
16
17 # Unless required by applicable law or agreed to in writing, software
18 # distributed under the License is distributed on an "AS IS" BASIS,
19 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
20 # See the License for the specific language governing permissions and
21 # limitations under the License.
22
23
24 set -eE -o pipefail
25 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
26
27 # based on
28 # https://github.com/tootsuite/documentation/blob/master/Running-Mastodon/Docker-Guide.md
29
30 if [[ $EUID == 0 ]]; then echo "$0: error, do not run as root"; exit 1; fi
31
32 cd /home/iank/mastodon
33 git fetch
34 git stash
35 git checkout $(git tag | grep -v rc | tail -n1)
36 git stash pop
37 docker-compose build
38 # these 2 may not be needed in all upgrades, but
39 # simpler to just do them always.
40 docker-compose run --rm web rake db:migrate
41 docker-compose run --rm web rake assets:precompile
42 # restart the app
43 docker-compose up -d